| Home | Libraries | People | FAQ | More

## Struct template uk_dst_trait

boost::date_time::uk_dst_trait — Alternative dst traits for some parts of the United Kingdom.

## Synopsis

    template<typename date_type>
    struct uk_dst_trait : public boost::date_time::eu_dst_trait< date_type > {

      // public static functions
      static int dst_start_offset_minutes() ;
      static int dst_end_offset_minutes() ;
      static int dst_shift_length_minutes() ;
    };

## Description

### `uk_dst_trait` public static functions

1.     static int dst_start_offset_minutes() ;

2.     static int dst_end_offset_minutes() ;

3.     static int dst_shift_length_minutes() ;